#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xkill
Version		:	1.0.6
Release		:	14.8.0.0%{?dist}
Summary		:	A utility for forcing the X server to close connections
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://cgit.freedesktop.org/xorg/app/xkill

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	libpng-devel
BuildRequires	:	mesa-devel
BuildRequires	:	xbitmaps
BuildRequires	:	xcb-util
BuildRequires	:	xorg-libXmu
BuildRequires	:	xorg-util-macros

#-----------------------------------------------------------------------------
%description
kill is a utility for forcing the X server to close connections to
clients.  This program is very dangerous, but is useful for aborting
programs that have displayed undesired windows on a user's screen.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README.md
%{_bindir}/%{name}
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -i -f
./configure						\
	$XORG_CONFIG					\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%changelog
